Subject: Re: bug#70260: [PATCH] Flymake support for rust-ts-mode (clippy-driver)
From: Dmitry Gutov <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Apr 2024 22:41:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

On 09/04/2024 05:42, Randy Taylor wrote:
> On Sunday, April 7th, 2024 at 20:26, Dmitry Gutov <[email-masked]> wrote:
>>
>>
>> Minor fix and a TODO comment for the "cargo clippy" case.
>>
>> On 07/04/2024 19:42, Dmitry Gutov wrote:
>>
>>> X-Debbugs-Cc: Randy Taylor [email-masked]
>>>
>>> Hi Randy and others,
>>>
>>> Here's a patch adding rust-ts-mode <-> flymake-mode integration using
>>> clippy.
>>>
>>> Feedback welcome.
> 
> Thanks for working on this.

Thanks for taking a look.

I imagine it won't be used for larger projects, edited assisted by LSP - 
LSP clients have their own Flymake integration. But I found it useful a 
few months ago when doing some leetcode exercises.

> I'm not really familiar with flymake integration, but this
> looks good to me. I have a few nits below.
> 
> +(defcustom rust-ts-flymake-command '("clippy-driver" "-")
> +  "The external tool that will be used to perform the syntax check.
>                                                     ^^^^^^^^^^^^^^^^
>                                                     maybe just "the check"?
> Or something similar, since more is being done than just syntax checking.
> 
> +This is a non empty list of strings, the checker tool possibly followed
>             ^^^^^^^^^                ^
>             non-empty?               A colon would work well here.

Thank you. This was actually copied from some exiting flymake backends, 
but they could use such edits as well.

> +(defvar rust-ts--flymake-proc nil)
> Should this be defvar-local?

Not necessarily - there would usually be only one simultaneous check 
running, and the pointer to the associated buffer is stored in the closure.

> +    ;; Flymake
>                 ^
>                 A period at the end would make me happy :).

Sure.

Pushed to master as ccced8c3e43, closing.